Bug 1017026 - Postgresql crashes on hercules emulator
Postgresql crashes on hercules emulator
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: postgresql (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Raiskup
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 03:36 EDT by Martin Korbel
Modified: 2016-10-27 02:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-30 07:05:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Korbel 2013-10-09 03:36:55 EDT
Description of problem:
I have detected a problem (see a attachment, it is abrt report) with
Posgresql on Hercules (emulator of s390x).
I have tried to install Satellite 5.6.0 (using Postgresql) and the
installation failed during a populate database (Postgresql crashed).
We test Satellite on s390x (non-emulated) and this problem is not here
(it occures only on hercules).

Version-Release number of selected component (if applicable):
Guest:
RHEL6.4 (s390x)
postgresql-8.4.13-1.el6_3.s390x

Host:
RHEL6.4 (x86_64)
hercules-3.08-1.el6.x86_64 

How reproducible:
100%

Steps to Reproduce:
1. install hercules on host and create configuration for guest
> cat /etc/hercules/RHEL6.cnf
CPUSERIAL 002623        # CPU serial number
CPUMODEL  7490          # CPU model number: 3090, 7490, 2064
MAINSIZE  2048          # Main storage size in megabytes
NUMCPU    4             # Number of CPUs
HTTPPORT  8083          # enable a HTTP server on this port
OSTAILOR  LINUX         # OS tailoring
LOADPARM  0120....      # IPL parameter
IODELAY   0             # modern kernels do not need a delay
ARCHMODE  ESAME         # Architecture mode S/370, ESA/390 or ESAME
TZOFFSET  +0100         # Central Europe
MODPATH   /usr/lib64/hercules
LDMOD     hdt3088.so hdt3420.so hdt3505.so

0009 3215-C  / noprompt
0120 3390 /var/lib/hercules/dasd/RHEL6-SAT560-s390x.120
0E20.2 3088 CTCI -n /dev/net/tun -s 255.255.255.252 192.168.200.17 192.168.200.18 


2. Create disk for guest
> mkdir -p /var/lib/hercules/dasd/
> dasdinit -z -lfs -r /var/lib/hercules/dasd/RHEL6-SAT560-s390x.120 3390-27

3. install guest (look at http://www.hercules-390.eu/)
4. install Satellite 5.6.0 with Postgresql on guest

Actual results:
Installation fails (Postgresql crashed)

Expected results:
Installation does not fail

Additional info:
Comment 3 RHEL Product and Program Management 2013-10-13 19:01:47 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 Pavel Raiskup 2016-08-17 07:13:34 EDT
Martin pointed me to machine where that could be reproduced, but I was not able
to reproduce it through satellite installer (it hanged for several hours..).

Martin, can we find a bit more self-standing reproducer without satellite?

I'm interested in this bug because if something fails in emulator, it might be
really buggy and we might face that somewhere else later on (that is the
original reason why this bug has been opened, we agreed with Martin on it).
Otherwise, if we don't have easy reproducer I'm not against closing this
NOTABUG/WORKSFORME.

This is presented as PostgreSQL crash, but we don't have a reason (which might
be found in postgresql logs).
Comment 5 Martin Korbel 2016-08-30 05:34:51 EDT
Hi Pavel,
We use this scenario (installation process) on s390x in beaker and I never see this bug. 
Because I no longer use Hercules and satellite has got many errata in last 3 years (maybe it is a reason why we aren't able to reproduce it).
I think this bug is a little out of date and you can close it.
Comment 6 Pavel Raiskup 2016-08-30 07:05:43 EDT
Thanks for the feedback, closing.  Feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.